Update a product
curl --request PUT \
--url https://api.example.com/v1/sdk/products/{productRef} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"deliveryMethod": "<string>",
"fulfillmentType": "<string>",
"validityPeriod": 1
},
"metadata": {},
"description": "<string>",
"imageUrl": "<string>",
"name": "<string>",
"productType": "<string>"
}
'import requests
url = "https://api.example.com/v1/sdk/products/{productRef}"
payload = {
"config": {
"deliveryMethod": "<string>",
"fulfillmentType": "<string>",
"validityPeriod": 1
},
"metadata": {},
"description": "<string>",
"imageUrl": "<string>",
"name": "<string>",
"productType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {deliveryMethod: '<string>', fulfillmentType: '<string>', validityPeriod: 1},
metadata: {},
description: '<string>',
imageUrl: '<string>',
name: '<string>',
productType: '<string>'
})
};
fetch('https://api.example.com/v1/sdk/products/{productRef}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": 0,
"createdAt": "<string>",
"isMcpPay": false,
"name": "AI Writing Assistant",
"reference": "prd_1A2B3C4D",
"status": "active",
"totalTransactions": 0,
"updatedAt": "<string>",
"config": {
"deliveryMethod": "api",
"fulfillmentType": "digital",
"validityPeriod": 30
},
"description": "<string>",
"imageUrl": "<string>",
"mcp": {
"defaultPlanRef": "pln_FREE123",
"mcpProxyUrl": "https://acme-docs.mcp.solvapay.com/mcp",
"mcpServerRef": "mcp_ABC123",
"mcpSubdomain": "acme-docs",
"originUrl": "https://origin.example.com/mcp"
},
"metadata": {},
"plans": [
{
"createdAt": "<string>",
"currency": "USD",
"hidden": false,
"isActive": true,
"price": 2999,
"reference": "pln_1A2B3C4D",
"requiresPayment": true,
"status": "active",
"updatedAt": "<string>",
"billingCycle": "monthly",
"billingModel": "pre-paid",
"creditsPerUnit": 1,
"currencySymbol": "$",
"features": {},
"freeUnits": 1000,
"limit": 10000,
"limits": {},
"measures": "requests",
"meterRef": "mtr_1A2B3C4D",
"rolloverUnusedUnits": false,
"setupFee": 500,
"trialDays": 14
}
],
"productType": "<string>"
}Products
Update a product
Updates an existing product. Only provided fields are updated.
PUT
/
v1
/
sdk
/
products
/
{productRef}
Update a product
Authorizations
Provider secret API key (sk_live_… / sk_test_…) supplied as a Bearer token.
Path Parameters
Product reference or ID
Example:
"prd_1A2B3C4D"
Body
application/json
Show child attributes
Show child attributes
Maximum string length:
1000Pattern:
^[\p{L}\p{N}\s.,'"&\/()+:%;?!@#_[\]\-]*$Required string length:
2 - 100Pattern:
^[\p{L}\p{N} .,'"&\/()+:\-]*$Maximum string length:
100Available options:
auto, inclusive, exclusive Response
Product updated successfully
Product balance in cents
Example:
0
Creation timestamp
Whether this product uses the no-code MCP integration (SolvaPay reverse proxy)
Example:
false
Product name
Example:
"AI Writing Assistant"
Product reference
Example:
"prd_1A2B3C4D"
Product status
Example:
"active"
Total number of transactions
Example:
0
Last update timestamp
Product-specific configuration
Show child attributes
Show child attributes
Product description
URL to the product image
MCP linkage details for MCP-enabled products
Example:
{
"defaultPlanRef": "pln_FREE123",
"mcpProxyUrl": "https://acme-docs.mcp.solvapay.com/mcp",
"mcpServerRef": "mcp_ABC123",
"mcpSubdomain": "acme-docs",
"originUrl": "https://origin.example.com/mcp"
}
Arbitrary key-value metadata
Plans associated with this product
Show child attributes
Show child attributes
Free-form product type
⌘I